org.apache.olingo.odata2.api.edm

## Interface EdmStructuralType

- All Superinterfaces:
    EdmAnnotatable, EdmMappable, EdmNamed, EdmType
  All Known Subinterfaces:
    EdmComplexType, EdmEntityType
  All Known Implementing Classes:
    EdmComplexTypeImpl, EdmEntityTypeImpl, EdmStructuralTypeImpl

      public interface EdmStructuralType
      extends EdmMappable, EdmType, EdmAnnotatable

  Do not implement this interface or derive from class.
    EdmStructuralType is the base for a complex type or an entity type.

    Complex types and entity types are described in the Conceptual Schema Definition of the OData protocol.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmStructuralType` | `getBaseType()` Base types are described in the OData protocol specification.
    `EdmTyped` | `getProperty(String name)` Get property by name
    `List<String>` | `getPropertyNames()` Get all property names

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmMappable

      `getMapping`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmType

      `getKind, getNamespace`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmAnnotatable

      `getAnnotations`

- - ### Method Detail

    - #### getProperty

          EdmTyped getProperty(String name)
                        throws EdmException

      Get property by name
      Parameters:
        `name` -
      Returns:
        simple or complex property as `EdmTyped`
      Throws:
        `EdmException`

    - #### getPropertyNames

          List<String> getPropertyNames()
                                 throws EdmException

      Get all property names
      Returns:
        property names as type List
      Throws:
        `EdmException`

    - #### getBaseType

          EdmStructuralType getBaseType()
                                 throws EdmException

      Base types are described in the OData protocol specification.
      Returns:
        `EdmStructuralType`
      Throws:
        `EdmException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.